Page MenuHomeFreeBSD

devel/youcompleteme: Enable Python 3 support
ClosedPublic

Authored by ultima on May 13 2018, 5:27 PM.

Details

Reviewers
None
Group Reviewers
Python
Commits
rP472401: * Add python flavors support. This will allow
Summary
devel/youcompleteme: Enable Python 3 support

This software supports, Python 2.7 and 3.4+, enable
Python 3 support accordingly

Reviewed_by: koobs
Differential_Revision: D15417
Test Plan
  • portlint:
  • testport:
  • maketest:

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

antoine added inline comments.
devel/youcompleteme/Makefile
7 ↗(On Diff #42486)

I believe it's missing a PKGNAMEPREFIX/SUFFIX to distinguish the flavored packages

ultima added inline comments.
devel/youcompleteme/Makefile
7 ↗(On Diff #42486)

Yup, that was it. Thanks! =]

koobs retitled this revision from devel/youcompleteme: Add Python 3 support to devel/youcompleteme: Enable Python 3 support.May 14 2018, 2:05 AM
koobs edited the summary of this revision. (Show Details)
koobs edited the test plan for this revision. (Show Details)
This revision was not accepted when it landed; it landed in state Needs Review.Jun 14 2018, 9:51 PM
This revision was automatically updated to reflect the committed changes.
head/devel/youcompleteme/Makefile
19–27

What?
Please put back PY_FLAVOR.

head/devel/youcompleteme/Makefile
68–70

You could have easily avoided the bsd.port.pre.mk inclusion by doing:

CMAKE_ARGS_PY3=  -DUSE_PYTHON2:BOOL=OFF
CMAKE_ARGS=     ${CMAKE_ARGS_PY${PYTHON_MAJOR_VER}}